### Function

# Gio io_error_from_errno

#### Declaration

    GIOErrorEnum
    g_io_error_from_errno (
      gint err_no
    )

#### Description

Converts `errno.h` error codes into GIO error codes.

The fallback value `G_IO_ERROR_FAILED` is returned for error codes not currently handled (but note that future GLib releases may return a more specific value instead).

As `errno` is global and may be modified by intermediate function calls, you should save its value immediately after the call returns, and use the saved value instead of `errno`:

      int saved_errno;

      ret = read (blah);
      saved_errno = errno;

      g_io_error_from_errno (saved_errno);

#### Parameters

`err_no`

  Type: `gint`

  Error number as defined in errno.h.

#### Return value

Type: `GIOErrorEnum`

`GIOErrorEnum` value for the given `errno.h` error number.